

function load_toc() {
	var displace=true;
	
	
	if (('ontouchstart' in window) ||  (window.DocumentTouch && document instanceof DocumentTouch)    ) {
		displace=false;
	}
	$('#left-menu').sidr({
		name: 'sidr-left',
		side: 'left', // By default
		//  source: '#navigation',
		source: function(name) { 
			return toc_info.the_toc;},
		displace: displace,
		//renaming: true,
	});
	$('#navigation').html('');
  
	// $('div#sidr-left').mouseout( function(){ $.sidr('close', 'sidr-left');});
	try {
		$(window).touchwipe({
			wipeLeft: function() {
				// Close
				$.sidr('close', 'sidr-left');
				},
			wipeRight: function() {
				// Open
				$.sidr('open', 'sidr-left');
				// $('#sidr-left').css({width:'80%'});
				$('#sidrcloser').css({left:'0'});
				},
			preventDefaultEvents: false,
		      min_move_x: 100,
		});
	} catch(e) {
		$.sidr('open', 'sidr-left');
	}
	$('#sidr-left').prepend('<div id="sidrcloser"><img id="sidrcloserimg" src="images/la-42.png" class="navimage"/></div>');
	$('#sidrcloserimg').click( function() {$.sidr('close', 'sidr-left');});
	
	
}
var in_trans=false;
var scroll_time=null;
$(document).ready(function() {
	load_toc();
	ref_updater();

	$('.sidr .toc_con').hide().click( function() {$.sidr('close', 'sidr-left');}) ;
	
	$('.sidr h1.toc_head').click( function() {
		$(this).parent().children('.toc_con').toggle('fold') ;
	});
	$('#header_layer').mouseover( function() {
		if(scroll_time!=null) {
			clearTimeout(scroll_time);
		}
		in_trans=false;
		if(! in_trans) {
			$('#header_menu').show('blind');
		}
	});
	$('#header_layer').mouseout( function() {
		in_trans=true;
		if(scroll_time!=null) {
			clearTimeout(scroll_time);
		}
		
		scroll_time = setTimeout(function() {
			$('#header_menu').hide('blind');
			in_trans=false;
		}, 1000);
	});
	$( window ).scroll(function() {
		var a=	['h1','h2','h3','h4'];
		for(i in a) {
			var x = $(a[i]+':in-viewport');
			if (x){ 
				$('#header_title').html(x.html());
			}
		}
		if(scroll_time!=null) {
			clearTimeout(scroll_time);
		}
		$( '#header_menu' ).show('blind');
		scroll_time = setTimeout( function() {
			$( '#header_menu' ).fadeOut( "slow" );}, 3000);
	});
	
	if (('ontouchstart' in window) || (window.DocumentTouch && document instanceof DocumentTouch) ) {
		// $('#left-menu img').css({ height:'96px', width:'96px'});
		$('.navimage').css({ height:'96px', width:'96px'});
		//$('#sidr-left').css({width:'100%'});
		$('.sidr div.toc1').css({fontSize: '200%'});
	//	$('.sidr div.toc1').css({fontSize: '13pt'});
		$('.sidr div.toc2').css({fontSize: '170%'});
	//	$('.sidr div.toc2').css({fontSize: '12pt'});
		$('.sidr div.toc3').css({fontSize: '150%'});
	//	$('.sidr div.toc3').css({fontSize: '11pt'});
		//$('.sidr h1.toc_head').css({fontSize: '250%', 'marginTop': '0.3em', 'marginBottom': '0.3em'});
		$('.sidr .toc_head').css({fontSize: '250%', 'paddingTop': '0.7em'});
	//	$('.sidr .toc_head').css({fontSize: '14pt'});
	}  
	

    if (window.devicePixelRatio > 1) {

	$('img.tick').css('width','30pt');
    /*    $('img').each(function(i) {

	    var w = $(this).attr('width');
	    var h = $(this).attr('height');
	    var w = $(this).width;
            $(this).attr('width',w*2).attr('height',h*2);
        });*/

    }
	var url = document.location.pathname;
	var filename = url.substring(url.lastIndexOf('/')+1);
	var me = $("#toc_con a[href*='"+filename+"']"); 
	var prev = $("#toc_con a[href*='"+filename+"']").parent().prev().children('a');
	var next = $("#toc_con a[href*='"+filename+"']").parent().next().children('a');
	$('#prev_nav').attr('href',prev.attr('href'));
	$('#next_nav').attr('href',next.attr('href'));
});
